// Author : Nicolas JEAN
// Date   : October 2001
// filename : common.h
// Copyright : Nicolas JEAN 2001 - 2005
// available on http://youpee.salemioche.com

#ifndef __common_h_
#define __common_h_

#include "stdio.h"

#define TRUE         1
#define FALSE        0

extern unsigned char show_dependency;
#define SHOW_DEP(a) if (show_dependency) fprintf(stderr, "<<< %s\n", a);

#define MAX_LINE_LENGTH  8000
#define ENV_LANG   "LANG"
#define ENV_CODEPATH   "CODEPATH"

char *findPath(char *filename, char *path);
char *replace_string( char *line, char *pattern, char *change);
char *get_field(const char *line, unsigned int number);
char *get_fromfield(char *line, unsigned int number);
char *get_fieldpos(char *line, unsigned int number);
char *unescape(char *line);
char *strlower(char *s);
char *removeRN(char *str);
char *getstrline(char *b, unsigned int l,FILE  *in);
int strncmp_sol(char *line, const char *sol);
char *find_filepath(char *original_filename);

#define ERR(a) fprintf(stderr,__FILE__ ".%d : %s\n", __LINE__, a);

#define DBG(a) fprintf(stderr,"::: %s\n", a);
#define DBG_INT(a) fprintf(stderr,"::: %d\n", a);

#endif
