// Author : Nicolas JEAN
// Date   : October 2001
// filename : for.h
// Copyright : Nicolas JEAN 2001 - 2005
// available on http://youpee.salemioche.com

#ifndef __for_h_
#define __for_h_

#include "define.h"

#define DIESE_LOOP     "<#loop"
#define DIESE_ENDLOOP  "</#loop>"
#define DIESE_BREAK     "<#break/>"
#define DIESE_CONTINUE  "<#continue/>"

#define LOOP_IN          "in"
#define LOOP_BETWEEN     "between"
#define LOOP_INFILE      "infile"
#define LOOP_INCVS       "incvs"
#define LOOP_INSECTION   "insection"
#define LOOP_ACTIONID_IN        1
#define LOOP_ACTIONID_BETWEEN   2
#define LOOP_ACTIONID_INFILE    3
#define LOOP_ACTIONID_INCVS     4
#define LOOP_ACTIONID_INSECTION 5

#define LOOP_PARAM_STR              "<#%s/>"
#define LOOP_PARAM_CVS_STR          "<#%s.%d/>"
#define LOOP_PARAM_SECTION_STR      "<#%s.%s/>"
#define MAX_NUMBER_OF_LINE_PER_LOOP 255
#define MAX_NUMBER_LOOP_PARAM       255

typedef struct {
    def *defines;   // for the param
    int nb_def;     // nb of params only 1 at the moment
    int lg_def;     // size of malloc'ed defines
    char *buf[MAX_NUMBER_OF_LINE_PER_LOOP+1];    // content of the loop
    int nb;         // number of line of the loop
    } loop;

void do_loop(FILE *in, FILE *out, char *line);

#endif

