// Author : Nicolas JEAN
// Date   : October 2001
// filename : macro.h
// Copyright : Nicolas JEAN 2001 - 2005
// available on http://youpee.salemioche.com

#ifndef __macro_h_
#define __macro_h_

#include "define.h"

#define DIESE_MACRO     "<#macro"
#define DIESE_ENDMACRO  "</#macro>"
#define DIESE_CALLMACRO "<#callmacro"
#define DIESE_ENDCALLMACRO "/>"
#define MACRO_PARAM_STR "<#%d/>"

#define DIESE_MACRO_SHORTCUT_STR "<#%s "
#define DIESE_CALLMACRO_STR DIESE_CALLMACRO " %s "

#define MAX_NUMBER_OF_MACRO          20
#define MAX_NUMBER_OF_LINE_PER_MACRO 255


typedef struct {
    char *name;     // name of the macro
    def *defines;   // for the params when you do a callmacro
    int nb_def;     // nb of params
    int lg_def;     // size of malloc'ed defines
    char *buf[MAX_NUMBER_OF_LINE_PER_MACRO+1];    // content of the macro
    int nb;         // number of line of the macro
    } macro;

void do_createMacro(FILE *in, FILE *out, char *line);
void do_callMacro(FILE *in, FILE *out, char *line);

#endif
